*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

html {
	font-size: 10px;
	font-family: Montserrat, sans-serif;
}

a {
	text-decoration: none;
}

ul {
	list-style: none;
}

.container {
	min-height: 100vh;
	width: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
}

img {
	height: 100%;
	width: 100%;
	object-fit: cover;
}

.cta {
	display: inline-block;
	padding: 10px 30px;
	color: white;
	background-color: transparent;
	border: 2px solid orangered;
	font-size: 2rem;
	text-transform: uppercase;
	letter-spacing: 1rem;
	margin-top: 30px;
	transition: .3s ease;
	transition-property: background-color, color;
	text-decoration: none;
}

.cta:hover {
	color: white;
	background-color: orangered;
	text-decoration: none;
}

.section-title {
	font-size: 4rem;
	font-weight: 500;
	color: black;
	margin-bottom: 10px;
	text-transform: uppercase;
	letter-spacing: .2rem;
	text-align: center;
	color: orangered;
}

/*Nav*/
nav {
	position: fixed;
	z-index: 10;
	left: 0;
	right: 0;
	top: 0;
	font-family: 'Montserrat', sans-serif;
	padding: 0 5%;
	height: 100px;
	background-image: url(https://hdwallpaperim.com/wp-content/uploads/2017/08/31/154406-blurred-gradient.jpg);
}
nav .logo {
	float: left;
	width: 40%;
	height: 100%;
	display: flex;
	align-items: center;
	font-size: 24px;
	color: #fff;
	text-transform: uppercase;
}
nav .links {
	float: right;
	padding: 0;
	margin: 0;
	width: 60%;
	height: 100%;
	display: flex;
	justify-content: space-around;
	align-items: center;
}
nav .links li {
	list-style: none;
}
nav .links a {
	display: block;
	padding: 1em;
	font-size: 16px;
	font-weight: bold;
	color: #fff;
	text-decoration: none;
}
#nav-toggle {
	position: absolute;
	top: -100px;
}
nav .icon-burger {
	display: none;
	position: absolute;
	right: 5%;
	top: 50%;
	transform: translateY(-50%);
}
nav .icon-burger .line {
	width: 30px;
	height: 5px;
	background-color: #fff;
	margin: 5px;
	border-radius: 3px;
	transition: all .3s ease-in-out;
}
@media screen and (max-width: 820px) {
	nav .logo {
		float: none;
		width: auto;
		justify-content: center;
	}
	nav .links {
		float: none;
		position: fixed;
		z-index: 9;
		left: 0;
		right: 0;
		top: 100px;
		bottom: 100%;
		width: auto;
		height: auto;
		flex-direction: column;
		justify-content: space-evenly;
		background-color: rgba(0,0,0,.8);
		overflow: hidden;
		box-sizing: border-box;
		transition: all .5s ease-in-out;
	}
	nav .links a {
		font-size: 20px;
	}
	nav :checked ~ .links {
		bottom: 0;
	}
	nav .icon-burger {
		display: block;
	}
	nav :checked ~ .icon-burger .line:nth-child(1) {
		transform: translateY(10px) rotate(225deg);
	}
	nav :checked ~ .icon-burger .line:nth-child(3) {
		transform: translateY(-10px) rotate(-225deg);
	}
	nav :checked ~ .icon-burger .line:nth-child(2) {
		opacity: 0;
	}
	
}
/*Nav End*/

/*Home Section*/
#home {
	background-image: url("https://smsh-862737-juc1ugur1qwqqqo4.stackpathdns.com/2569356/wp-content/uploads/2020/11/AdobeStock_241083104-1400x934.jpg?size=1400x934&lossy=1&strip=1&webp=1");
	background-size: cover;
	background-position: top center;
	position: relative;
	z-index: 1;
}

#home::after {
  content: " ";
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	background-color: black;
	opacity: 0.5;
	z-index: -1;
}

#home .home {
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 50px;
	justify-content: flex-start;
}
#home h1 {
	display: block;
	width: fit-content;
	font-size: 4rem;
	position: relative;
	color: transparent;
	animation: text_reveal 0.5s ease forwards;
	animation-delay: 1s;
}
#home h1:nth-child(1) {
	animation-delay: 1s;
}
#home h1:nth-child(2) {
	animation-delay: 2s;
}
#home h1:nth-child(3) {
	animation: text_reveal_name 0.5s ease forwards;
	animation-delay: 3s;
	text-transform: uppercase;
}
#home h1 span {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 0;
	background-color: orangered;
	animation: text_reveal_box 1s ease;
	animation-delay: 0.5s;
}
#home h1:nth-child(1) span {
	animation-delay: 0.5s;
}
#home h1:nth-child(2) span {
	animation-delay: 1.5s;
}
#home h1:nth-child(3) span {
	animation-delay: 2.5s;
}

/*End Home Section*/

/*Tools Section*/
#tools {}
#tools .tools {
	flex-direction: column;
	text-align: center;
	max-width: 1500px;
	margin: 0 auto;
	padding: 100px 0;
}

#tools .tools-top p {
	font-size: 1.4rem;
	margin-top: 5px;
	line-height: 2.5rem;
	font-weight: 300px;
	letter-spacing: .5rem;
}

#tools .tools-bottom {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
	margin-top: 50px;
}

#tools .tools-item {
	flex-basis: 80%;
	display: flex;
	align-items: flex-start;
	justify-content: center;
	flex-direction: column;
	padding: 30px;
	border-radius: 10px;
	background-image: url(https://hdwallpaperim.com/wp-content/uploads/2017/08/31/154406-blurred-gradient.jpg);
	background-size: cover;
	margin: 10px 5%;
	position: relative;
	overflow: hidden;
}

#tools .tools-item::after {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	background-color: black;
	opacity: .2;
	z-index: -1;
}

.tools .tools-bottom .icon {
	height: 80px;
	width: 50px;
	margin-bottom: 20px;
}

#tools .tools-item h2 {
	font-size: 2rem;
	color: white;
	margin-bottom: 10px;
	text-transform: uppercase;
}

#tools .tools-item p {
	color: white;
	text-align: left;
	font-size: 1.4rem;
	line-height: 1.9rem;
}
/*Tools Section End*/

/*Projects*/
#projects .projects {
	flex-direction: column;
	max-width: 1200px;
	margin: 0 auto;
	padding: 100px 0;
}

#projects .projects-header {
	margin-bottom: 20px;
}

#projects .all-projects {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

#projects .project-item {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	width: 80%;
	margin: 20px auto;
	overflow: hidden;
	border-radius: 10px;
}

#projects .project-info {
	padding: 30px;
	flex-basis: 50%;
	background-image: url(https://hdwallpaperim.com/wp-content/uploads/2017/08/31/154406-blurred-gradient.jpg);
	height: 100%;
	display: flex;
	align-items: flex-start;
	justify-content: center;
	flex-direction: column;
	color: white;
}

#projects .project-info h1 {
	font-size: 4rem;
	font-weight: 500;
}

#projects .project-info p {
	font-size: 1.4rem;
}

#projects .project-img {
	flex-basis: 50%;
	height: 300px;
	overflow: hidden;
	position: relative;
}
#projects .project-img img {
	transition: .3s ease transform;
}
#projects .project-item:hover .project-img img {
	transform: scale(1.1);
}
/*Projects End*/

/*About Me*/
#about .about {
	flex-direction: column-reverse;
	text-align: center;
	max-width: 1200px;
	margin: 0 auto;
	padding: 10px 20px;
}

#about .col-left {
	width: 250px;
	height: 360px;
}

#about .col-right {
	width: 100%
}

#about .col-right h2 {
	font-size: 1.8rem;
	font-weight: 500;
	letter-spacing: 0.2rem;
	margin-bottom: 10px;
}

#about .col-right p {
	margin-bottom: 20px;
	font-size: 1.8rem;
	line-height: 1.9rem;
}

#about .col-right .cta {
	color: black;
	margin-bottom: 50px;
	padding: 10px 20px;
	font-size: 2rem;
	text-decoration: none;
}

#about .col-left .about-img {
	height: 100%;
	width: 100%;
	position: relative;
	border: 10px solid white;
}
#about .col-left .about-img::after {
	content: '';
	position: absolute;
	left: -33px;
	top: 30px;
	height: 98%;
	width: 98%;
	border: 7px solid orangered;
	z-index: -1;
}
/*About Me End*/

/* contact Section */
#contact .contact {
	flex-direction: column;
	max-width: 1200px;
	margin: 0 auto;
	width: 90%;
}
#contact .contact-items {
	width: 400px; 
}
#contact .contact-item {
	width: 80%;
	padding: 20px;
	text-align: center;
	border-radius: 10px;
	padding: 30px;
	margin: 30px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	box-shadow: 0px 0px 18px 0 #0000002c;
	transition: 0.3s ease box-shadow;
}
#contact .contact-item:hover {
	box-shadow: 0px 0px 5px 0 #0000002c;
}
#contact .icon {
	width: 70px;
	margin: 0 auto;
	margin-bottom: 10px;
}
#contact .contact-info h1 {
	font-size: 2.5rem;
	font-weight: 500;
	margin-bottom: 5px;
}
#contact .contact-info h2 {
	font-size: 1.3rem;
	line-height: 2rem;
	font-weight: 500;
}
/*End contact Section */

/*Footer*/
footer {
    padding: 0.7rem;
    text-align: center;
    font-size: 1.4rem;
    background-image: url(https://hdwallpaperim.com/wp-content/uploads/2017/08/31/154406-blurred-gradient.jpg);
    color: white;
    font-weight: bold;
    font-family: 'Montserrat', sans-serif;
}

footer span {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    font-weight: 300;
}

/*End of Footer*/










/*Keyframes*/
@keyframes text_reveal_box {
	50%
{
	width: 100%;
	left: 0;
}
100%
{
	width: 0;
	left: 100%;
}
}

@keyframes text_reveal {
	100% {
		color: white;
	}
}

@keyframes text_reveal_name {
	100% {
		color: orangered;
	}
}
/*End Keyframes*/